#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys

from PyQt5.QtCore import QUrl
from PyQt5.QtWidgets import QApplication

# this needs to be imported before a QApplication object is created
from PyQt5 import QtWebEngineWidgets

# This is here to mimic my use case (i.e. being in another module)
from PyQt5.QtWebEngineWidgets import QWebEngineView

if __name__ == "__main__":
    urlStr = "http://sourceforge.net/projects/eric-ide/files/eric6/stable"
    
    app = QApplication(sys.argv)
    v = QWebEngineView()
    v.show()
    v.setUrl(QUrl(urlStr))
    sys.exit(app.exec_())
    
